# Generated by Django 2.2.28 on 2022-05-14 08:47

import colorfield.fields
from django.db import migrations, models
import django.db.models.deletion
import parler.fields
import parler.models


class Migration(migrations.Migration):

    dependencies = [
        ('django_cookie_control', '0012_auto_20220514_1707'),
    ]

    operations = [
        migrations.CreateModel(
            name='Vendors',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('url', models.URLField(help_text='URL third-party cookies')),
                ('thirdPartyCookies', models.NullBooleanField(help_text='Vendors use Third party cookies')),
            ],
            options={
                'abstract': False,
            },
            bases=(parler.models.TranslatableModelMixin, models.Model),
        ),
        migrations.RemoveField(
            model_name='iabconfig',
            name='description',
        ),
        migrations.RemoveField(
            model_name='iabconfig',
            name='gdprAppliesGlobally',
        ),
        migrations.RemoveField(
            model_name='iabconfig',
            name='globalVendorListLocation',
        ),
        migrations.RemoveField(
            model_name='iabconfig',
            name='language',
        ),
        migrations.RemoveField(
            model_name='iabconfig',
            name='recommendedState',
        ),
        migrations.AddField(
            model_name='accessibility',
            name='disableSiteScrolling',
            field=models.NullBooleanField(help_text='Determines if the module should prevent scrolling of the site when either the notification bar or panel are open. This property is recommended for accessibility purposes, though not enabled by default.'),
        ),
        migrations.AddField(
            model_name='accessibility',
            name='outline',
            field=models.NullBooleanField(help_text="Determines if the module should show the browser's default outline styling on elements. It can be combined with highlightFocus to add both a highlight and an outline to focused elements."),
        ),
        migrations.AddField(
            model_name='branding',
            name='closeBackground',
            field=colorfield.fields.ColorField(blank=True, default=None, help_text="CSS background-color that you'd like to use for the module's 'Close' button, if you have set the closeStyle property to 'button'.", image_field=None, max_length=18, null=True, samples=None),
        ),
        migrations.AddField(
            model_name='branding',
            name='closeText',
            field=colorfield.fields.ColorField(blank=True, default=None, help_text="CSS color that you'd like to use for the text within the module's Close button", image_field=None, max_length=18, null=True, samples=None),
        ),
        migrations.AddField(
            model_name='branding',
            name='notifyBackgroundColor',
            field=colorfield.fields.ColorField(blank=True, default=None, help_text="CSS background-color that you'd like to use throughout the notify bar.", image_field=None, max_length=18, null=True, samples=None),
        ),
        migrations.AddField(
            model_name='branding',
            name='notifyFontColor',
            field=colorfield.fields.ColorField(blank=True, default=None, help_text="CSS color that you'd like to use for all text and icons within the notify bar.", image_field=None, max_length=18, null=True, samples=None),
        ),
        migrations.AddField(
            model_name='iabconfig',
            name='dropDowns',
            field=models.BooleanField(default=True, help_text='If set to true, Purposes, Special Purposes, Features and Special Features will be hidden by default'),
        ),
        migrations.AddField(
            model_name='iabconfig',
            name='fullLegalDescriptions',
            field=models.BooleanField(default=True, help_text='If set to true, the full legal description for each Purpose or Feature will be shown'),
        ),
        migrations.AddField(
            model_name='iabconfig',
            name='publisherCC',
            field=models.CharField(default='en', help_text='The country code of the country that determines legislation of reference.', max_length=128),
        ),
        migrations.AddField(
            model_name='iabconfig',
            name='saveOnlyOnClose',
            field=models.BooleanField(default=True, help_text='Cookie Control will wait until the user closes the widget before saving the consent'),
        ),
        migrations.AddField(
            model_name='iabtexttranslation',
            name='cookieMaxAge',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='iabtexttranslation',
            name='days',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='iabtexttranslation',
            name='disclosureDetailsColumn',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='iabtexttranslation',
            name='disclosurePurposesColumn',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='iabtexttranslation',
            name='hours',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='iabtexttranslation',
            name='legalDescription',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='iabtexttranslation',
            name='minutes',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='iabtexttranslation',
            name='seconds',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='iabtexttranslation',
            name='storageDisclosures',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='iabtexttranslation',
            name='usesNonCookieAccessFalse',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='iabtexttranslation',
            name='usesNonCookieAccessTrue',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='textvaluetranslation',
            name='readMore',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='textvaluetranslation',
            name='showVendors',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='textvaluetranslation',
            name='thirdPartyCookies',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='purposeobject',
            name='vendors',
            field=models.ManyToManyField(blank=True, to='django_cookie_control.Vendors'),
        ),
        migrations.CreateModel(
            name='VendorsTranslation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('language_code', models.CharField(db_index=True, max_length=15, verbose_name='Language')),
                ('name', models.CharField(max_length=255)),
                ('description', models.TextField(blank=True, help_text='Vendor Description', null=True)),
                ('master', parler.fields.TranslationsForeignKey(editable=False, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='translations', to='django_cookie_control.Vendors')),
            ],
            options={
                'verbose_name': 'vendors Translation',
                'db_table': 'django_cookie_control_vendors_translation',
                'db_tablespace': '',
                'managed': True,
                'default_permissions': (),
                'unique_together': {('language_code', 'master')},
            },
            bases=(parler.models.TranslatedFieldsModelMixin, models.Model),
        ),
    ]
