# Generated by Django 2.2.28 on 2023-03-13 03:35

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('django_cookie_control', '0013_auto_20220514_1847'),
    ]

    operations = [
        migrations.AlterField(
            model_name='accessibility',
            name='disableSiteScrolling',
            field=models.BooleanField(blank=True, help_text='Determines if the module should prevent scrolling of the site when either the notification bar or panel are open. This property is recommended for accessibility purposes, though not enabled by default.', null=True),
        ),
        migrations.AlterField(
            model_name='accessibility',
            name='highlightFocus',
            field=models.BooleanField(blank=True, help_text='Determines if the module should use more accentuated styling to highlight elements in focus', null=True),
        ),
        migrations.AlterField(
            model_name='accessibility',
            name='outline',
            field=models.BooleanField(blank=True, help_text="Determines if the module should show the browser's default outline styling on elements. It can be combined with highlightFocus to add both a highlight and an outline to focused elements.", null=True),
        ),
        migrations.AlterField(
            model_name='accessibility',
            name='overlay',
            field=models.BooleanField(blank=True, help_text='Determines if the module should use an overlay to accentuate the presence of an open notification bar or panel and discourage use of the main site while these elements are open.', null=True),
        ),
        migrations.AlterField(
            model_name='branding',
            name='removeAbout',
            field=models.BooleanField(blank=True, help_text="Whether or not to remove the 'About this tool' link", null=True),
        ),
        migrations.AlterField(
            model_name='branding',
            name='removeIcon',
            field=models.BooleanField(blank=True, help_text="Whether or not to remove the button icon entirely. Please note, if you do this, you will need to present an alternative trigger to run the module's open() function.", null=True),
        ),
        migrations.AlterField(
            model_name='cookiecontrol',
            name='closeOnGlobalChange',
            field=models.BooleanField(blank=True, help_text='If set to false the Cookie Control main window will remain open when the user clicks on either of the accept or reject buttons, and the user will have to explicitly close it using the X close icon at the top right, or the close button.', null=True),
        ),
        migrations.AlterField(
            model_name='cookiecontrol',
            name='encodeCookie',
            field=models.BooleanField(help_text="If the value of Cookie Control's own cookie should be encoded as a Uniform Resource Identifier (URI)", null=True),
        ),
        migrations.AlterField(
            model_name='cookiecontrol',
            name='logConsent',
            field=models.BooleanField(help_text='Determines how many days the consent of the user will be remembered for.', null=True),
        ),
        migrations.AlterField(
            model_name='cookiecontrol',
            name='notifyDismissButton',
            field=models.BooleanField(blank=True, help_text="Set this to false if you are using the notify interface and don't wish to show the (X) close icon on it.", null=True),
        ),
        migrations.AlterField(
            model_name='cookiecontrol',
            name='notifyOnce',
            field=models.BooleanField(blank=True, help_text='Determines whether the module only shows its initialState once, or if it continues to replay on subsequent page loads until the user has directly interacted with it ', null=True),
        ),
        migrations.AlterField(
            model_name='cookiecontrol',
            name='rejectButton',
            field=models.BooleanField(blank=True, help_text="shows a reject button alongside the accept button on the notification bar, or alongside the 'accept recommended settings' button when the panel is open", null=True),
        ),
        migrations.AlterField(
            model_name='cookiecontrol',
            name='sameSiteCookie',
            field=models.BooleanField(blank=True, help_text='Set to true the SameSite:Strict flag. Otherwise it will be flagged with SameSite:None', null=True),
        ),
        migrations.AlterField(
            model_name='cookiecontrol',
            name='subDomains',
            field=models.BooleanField(help_text="Determines whether Cookie Control's own cookie is saved to the top level domain, and therefore accessible on all sub domains, or disabled and saved only to the request host.", null=True),
        ),
        migrations.AlterField(
            model_name='purposeobject',
            name='recommendedState',
            field=models.BooleanField(blank=True, help_text='Should category be accepted (opted in)', null=True),
        ),
        migrations.AlterField(
            model_name='vendors',
            name='thirdPartyCookies',
            field=models.BooleanField(blank=True, help_text='Vendors use Third party cookies', null=True),
        ),
    ]
